/**
Represents any constraint in the Statestep model,
whether taken from the constraint table or
defined by a formula.

@author Michael Breen
*/
public abstract class Constraint
{
   /**
   @param comb a combination of variable values (state)
   @return true if the specified combination is permitted
   by this constraint, otherwise false
   */
   abstract boolean allows(Combination comb);

   /**
   The string returned is sufficient to uniquely identify
   this constraint in the model.
   @return a string representation of this object
   */
   public abstract String toString();

   Constraint() { }
}
